
package net.mcreator.kitchencraftfoods.fluid;

import net.minecraftforge.fluids.ForgeFlowingFluid;

import net.minecraft.world.level.material.FluidState;
import net.minecraft.world.level.material.Fluid;
import net.minecraft.world.level.block.state.StateDefinition;
import net.minecraft.world.level.block.LiquidBlock;

import net.mcreator.kitchencraftfoods.init.KitchencraftFoodsModItems;
import net.mcreator.kitchencraftfoods.init.KitchencraftFoodsModFluids;
import net.mcreator.kitchencraftfoods.init.KitchencraftFoodsModFluidTypes;
import net.mcreator.kitchencraftfoods.init.KitchencraftFoodsModBlocks;

public abstract class GravyFluid extends ForgeFlowingFluid {
	public static final ForgeFlowingFluid.Properties PROPERTIES = new ForgeFlowingFluid.Properties(() -> KitchencraftFoodsModFluidTypes.GRAVY_TYPE.get(), () -> KitchencraftFoodsModFluids.GRAVY.get(),
			() -> KitchencraftFoodsModFluids.FLOWING_GRAVY.get()).explosionResistance(100f).slopeFindDistance(16).bucket(() -> KitchencraftFoodsModItems.GRAVY_BUCKET.get()).block(() -> (LiquidBlock) KitchencraftFoodsModBlocks.GRAVY.get());

	private GravyFluid() {
		super(PROPERTIES);
	}

	public static class Source extends GravyFluid {
		public int getAmount(FluidState state) {
			return 8;
		}

		public boolean isSource(FluidState state) {
			return true;
		}
	}

	public static class Flowing extends GravyFluid {
		protected void createFluidStateDefinition(StateDefinition.Builder<Fluid, FluidState> builder) {
			super.createFluidStateDefinition(builder);
			builder.add(LEVEL);
		}

		public int getAmount(FluidState state) {
			return state.getValue(LEVEL);
		}

		public boolean isSource(FluidState state) {
			return false;
		}
	}
}
